GCC 3.4

Imagen de ajp_pc
0 puntos

HOLA SOY NUEVO CON LINUX POR DESGRACIA TENGO INTERNET ADSL CON TELEFONICA LA CUAL ME INSTALO UN MODEM USB(ZYXEL PRESTIGE 630-C1 SERIES) BUENO DESPUES DE VARIAS Y SON MUCHAS HORAS BUSCANDO ENCONTRE LOS DRIVER PARA EL MODEM BUENO SEGUN UN TUTORIAL QUE CONSEGUI ME DA LOS PASOS A SEGUIR COMO INSTALARLO POR SUERTE ESTA MUY BIEN EXPLICADO PERO CUANDO LLEGO AL PUNTO DONDE TENGO QUE COMPILAR EL MODULO ME UN ERROR
EL COMANDO QUE USO ES MAKE
EL ERROR ES
make modules -C /lib/modules/2.6.12-8-386/build SUBDIRS=/modem/modulo-630-c1
/usr/src/linux-headers-2.6.12-8-386/scripts/gcc-version.sh: line 11: gcc-3.4: command not found
/usr/src/linux-headers-2.6.12-8-386/scripts/gcc-version.sh: line 12: gcc-3.4: command not found
make[1]: gcc-3.4: No se encontró el programa
make[1]: Entering directory `/usr/src/linux-headers-2.6.12-8-386'
CC [M] /modem/modulo-630-c1/speedtch.o
/bin/sh: gcc-3.4: command not found
make[2]: *** [/modem/modulo-630-c1/speedtch.o] Error 127
make[1]: *** [_module_/modem/modulo-630-c1] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.12-8-386'
make: *** [all] Error 2

POR LO QUE CREO QUE DICE SE TRATA DEL GCC 3.4 YO TENGO EL GCC 4.0 DESPUES DE UN LARGO RATO PUDE HACER FUNCIONAR EL 3.4 PERO ME SIGUE DANDO EL MISMO ERROR

ALGUIEN ME PUEDE AYUDAR NO SE COMO ENCARAR EL TEMA
GRACIAS

Imagen de gabiel
+1
0
-1

¿Como instalaste el gcc-3.4?

Saludos.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de ajp_pc
+1
0
-1

condegui de debian unos paquetes
cpp-3.4_3.4.4-8_i386.deb
gcc-3.4-base_3.4.4-8_i386.deb

y utilice el comando
dpkg -i nombre_del_paquete.deb

+1
0
-1
Imagen de gabiel
+1
0
-1

Instala mejor los paquetes propios de Ubuntu, no los de debian; prueba a desinstalar esos dos paquetes e instala los propios de Ubuntu que puedes encontrar aquí (en concreto gcc-3.4 esta aquí).

Saludos.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de ajp_pc
+1
0
-1

solucione el problema
sudo apt-get install gcc linux-headers-2.6.10-5-XXX
XXX: sabor de tu kernel {386,686,k7,etc...}
yo ejucutaba este comando para solucionaelo
cambie el gcc por gcc-3.4
ahora me da otro error cuando quiero compelar cxacru-630-new
con make
meda un error en usbi.c
error lina 49 error de decodificacion de antes del elemento '*'
error lina 49 la declaracion de la funcion no es un prototipo

la linea 49 de usbi.c es
void usb_fetch_descriptors(usb_dev_handle *udev);

+1
0
-1
Imagen de fredd2
+1
0
-1

hace algun tiempo tuve el mismo problema con la mierda de modem ese e hise una guia para debian o ubuntu , con los paquetes nesesarios , http://www.mp3islenio.com.ar en la seccion tutotirales.
con lo de los paquete de ubuntu a mi humilde entender funcionan lo mismo
tanto los debian como los de ubuntu , solo hay que leer bien la vercion
de los paquetes que tenemos instalados , dependencias y las librerias y los que vamos a instalar.yo lo e echo funcionar con los de debian y e instalado muchas cosas con los paquetes de debian pero puede que este equivocado
espero que les sirva ........y si les sirve recomiendenla XD
saludos

+1
0
-1

te sentiste alguna vez estafado???

Imagen de ajp_pc
+1
0
-1

lo logre,lo logre,lo logre,lo logre
ya tengo internet

quiero agradecerles a todos por darme una mano con este modem
fredd2 me sirvio un monton tu tutorial. igual tube que instalar el gcc-3.4 para que andubiece sino daba error te lo comento por si quieres agregarlo a tu pagina. si te interesa mandame un email (angelpaez@speedy.com.ar) y te paso los archivos

gracias

+1
0
-1
Imagen de zardonkan
+1
0
-1

Hola llevo 2 dias tratando de hacer que funcione y me tira el mismo error estoy con la version 5.10 .

he logrado sacarlo hasta el final me tira como 6 errores por el libusb ....

y cuando cargo el ns0 me dice que no lo encontro ... grggrgr ... helkp que estos ya son los utlimos intendo o sino .....

+1
0
-1
Imagen de gabiel
+1
0
-1

Pues haz lo mismo que ajp_pc, instala gcc3.4 y mira el tutorial de fredd2.

En cuanto a libusb, asegurate de tener instalado el paquete libusb-dev

Saludos.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de zardonkan
+1
0
-1

gcc 3.4 Esta instalado y funcionando correctamente ...
Baje todo el material que segun fredd2 ... y lo unico que me trae es problema con las libusb-dev .. ya que la version que esta es muy antigua y me pide actualizar por que baje el iso de la version 5.10 ....( por que si no actualiza aparecen rotos como 6 muchos de ellos relacionados ).

Y ni asi funciona ... por que al parecer el nsh0 aparece error y me dice que lo siente por que no detecto ningun dispositivo .... asi que ando mas que apenado con esta situacion , he perdido mucho tiempo y de verdad he leido la mayoria de los manuales que salen por aqui pero no me dan solucion .

Incluso estoy pensando bajar la evrsion 5.04 para asi poder usar el manual ...pero la idea es avanzar y no quedarse con la 5.04 ...

Se despide ...

+1
0
-1
Imagen de zardonkan
+1
0
-1

gcc 3.4 Esta instalado y funcionando correctamente ...
Baje todo el material que segun fredd2 ... y lo unico que me trae es problema con las libusb-dev .. ya que la version que esta es muy antigua y me pide actualizar por que baje el iso de la version 5.10 ....( por que si no actualiza aparecen rotos como 6 muchos de ellos relacionados ).

Y ni asi funciona ... por que al parecer el nsh0 aparece error y me dice que lo siente por que no detecto ningun dispositivo .... asi que ando mas que apenado con esta situacion , he perdido mucho tiempo y de verdad he leido la mayoria de los manuales que salen por aqui pero no me dan solucion .

Incluso estoy pensando bajar la evrsion 5.04 para asi poder usar el manual ...pero la idea es avanzar y no quedarse con la 5.04 ...

Se despide ...

+1
0
-1
Imagen de zardonkan
+1
0
-1

gcc 3.4 Esta instalado y funcionando correctamente ...
Baje todo el material que segun fredd2 ... y lo unico que me trae es problema con las libusb-dev .. ya que la version que esta es muy antigua y me pide actualizar por que baje el iso de la version 5.10 ....( por que si no actualiza aparecen rotos como 6 muchos de ellos relacionados ).

Y ni asi funciona ... por que al parecer el nsh0 aparece error y me dice que lo siente por que no detecto ningun dispositivo .... asi que ando mas que apenado con esta situacion , he perdido mucho tiempo y de verdad he leido la mayoria de los manuales que salen por aqui pero no me dan solucion .

Incluso estoy pensando bajar la evrsion 5.04 para asi poder usar el manual ...pero la idea es avanzar y no quedarse con la 5.04 ...

Se despide ...

+1
0
-1
Imagen de gabiel
+1
0
-1

Utiliza las versiónes que vengan con la 5.10; tan solo descarga lo que falte, como por ejemplo el propio controlador (cxacru...). Después sigue los pasos que ponga en el tutorial.

Saludos.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de Anónimo
+1
0
-1

Yo tuve el mismo problema que tu al compilar los drivers de mi modem SAGEM Fast 800 (eagle-usb 2.3.2) en ubuntu 3.10, lo arreglé de la siguiente forma:

sudo rm -f /usr/bin/gcc
sudo ln -s /usr/bin/gcc-4.0 /usr/bin/gcc-3.0

Con esto te ahorras installar gcc-3.0 y funciona (por lo menos a mi me ha funcionado).

+1
0
-1
Imagen de Anónimo
+1
0
-1

Yo tuve el mismo problema que tu al compilar los drivers de mi modem SAGEM Fast 800 (eagle-usb 2.3.2) en ubuntu 5.10, lo arreglé de la siguiente forma:

sudo rm -f /usr/bin/gcc
sudo ln -s /usr/bin/gcc-4.0 /usr/bin/gcc-3.4

Con esto te ahorras installar gcc-3.4 y funciona (por lo menos a mi me ha funcionado).
Perdon, me he liado con los números, estos (creo, y si no, no os costara mucho adivinarlos) son los buenos.

+1
0
-1
Imagen de gabiel
+1
0
-1

No funcionará siempre, dependerá de lo que compiles, por lo menos en el foro hay un usuario al que eso le trajo problemas (no recuerdo ahora con que controlador era).

Saludos.

--------

Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Jabber ID: gabiel@jabber.org

+1
0
-1